wreport::tests::ActualFile Struct Reference
Inheritance diagram for wreport::tests::ActualFile:

## Public Member Functions

void | exists () const
void | not_exists () const
void | startswith (const std::string &data) const
void | empty () const
void | not_empty () const
void | contents_equal (const std::string &data) const
void | contents_equal (const std::vector< uint8_t > &data) const
void | contents_equal (const std::initializer_list< std::string > &lines) const
void | contents_match (const std::string &data_re) const
void | contents_match (const std::initializer_list< std::string > &lines_re) const
| Actual (const A &actual)
Public Member Functions inherited from wreport::tests::Actual< std::string >
| Actual (const std::string &actual)
void | istrue () const
void | isfalse () const
void | operator== (const E &expected) const
void | operator!= (const E &expected) const
void | operator< (const E &expected) const
void | operator<= (const E &expected) const
void | operator> (const E &expected) const
void | operator>= (const E &expected) const

## Additional Inherited Members

Data Fields inherited from wreport::tests::Actual< std::string >
std::string | _actual

The documentation for this struct was generated from the following file:

- utils/tests.h